Certbot with Apache and ACME v2 Error


#1

My domain is:
www.cert-bot.com

I ran this command:
sudo certbot --authenticator webroot --installer apache --server https://acme-v02.api.letsencrypt.org/directory

It produced this output:

Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator webroot, Installer apache
Enter email address (used for urgent renewal and security notices) (Enter ‘c’ to
cancel): xxx@gmail.com
An unexpected error occurred:
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/acme/messages.py”, line 204, in getitem
return self._jobj[self._canon_key(name)]
KeyError: ‘new-reg’

During handling of the above exception, another exception occurred:

KeyError: ‘Directory field not found’
Please see the logfiles in /var/log/letsencrypt for more details.

My web server is (include version):

The operating system my web server runs on is (include version):

Debian 9

My hosting provider, if applicable, is:

GCP

I can login to a root shell on my machine (yes or no, or I don’t know):
Yes

I’m using a control panel to manage my site (no, or provide the name and version of the control panel):

not sure but likely no


#2

What version of Certbot is that?

sudo certbot --version

ACMEv2 support was added in 0.22.0. I’m not certain, but that error message looks about like how I would expect an older version of Certbot to react to the new server.


#3

thanks for replying.

certbot 0.21.1

I used this command to install

sudo apt-get install python-certbot-apache -t stretch-backports

How do I install v0.22 ?


#4

@mnordhoff

Like what you suspected, it is the version issue.

I have since removed the existing v0.21 installation and installed v0.22 and it is working without issue.

Thank you for helping.


#5

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.